package rtcservicelogic

import (
	"context"

	"im-rtc/internal/svc"
	"im-rtc/pb/rtc"

	"github.com/zeromicro/go-zero/core/logx"
)

type DeleteMeetingRecordsLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewDeleteMeetingRecordsLogic(ctx context.Context, svcCtx *svc.ServiceContext) *DeleteMeetingRecordsLogic {
	return &DeleteMeetingRecordsLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *DeleteMeetingRecordsLogic) DeleteMeetingRecords(in *rtc.DeleteMeetingRecordsReq) (*rtc.DeleteMeetingRecordsResp, error) {
	// todo: add your logic here and delete this line

	return &rtc.DeleteMeetingRecordsResp{}, nil
}
